from django.db import models
from Dashboard.models import WidgetUser
from django.urls import reverse

class Announcement(models.Model):
    title = models.CharField(max_length=100)
    body = models.CharField(max_length=2000)
    author =  models.ForeignKey(WidgetUser, on_delete = models.PROTECT)
    pub_datetime = models.DateTimeField()

    def __str__(self):
        return self.title
    
    def get_absolute_url(self):
        return reverse('Announcement_Board:announcements-details', kwargs={'pk': self.pk})
    
class Reaction(models.Model):
    name_choices = (
        ('like','like'),
        ('love','love'),
        ('angry','angry'),
    )
    name = models.CharField(max_length=100, choices=name_choices)
    tally = models.IntegerField()
    announcement = models.ForeignKey(
        Announcement, 
        on_delete=models.PROTECT,
        related_name='reactions')
    
    def __str__(self):
        return self.name

