from django.shortcuts import render
from django.shortcuts import HttpResponse
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView

from .models import Announcement, Reaction

def index(request):
    return_string = '<ul>'
    for announcement in Announcement.objects.all():
        return_string += '{} by {} published {}:<br>{} <br>'.format(
            announcement.title, announcement.author, 
            announcement.pub_datetime.strftime("%x, %I:%M %p"),announcement.body,
        )
        announced = announcement
        like = 0
        love = 0
        angry = 0
        for reaction in Reaction.objects.all():
            if reaction.name == "like" and reaction.announcement == announced:
                like += reaction.tally
            if reaction.name == "love" and reaction.announcement == announced:
                love += reaction.tally
            if reaction.name == "angry" and reaction.announcement == announced:
                angry += reaction.tally
        return_string += 'Like: {} <br> Love: {} <br> Angry: {}<br><br>'.format(
            like, love, angry,
        )

    return_string += '</ul>'
    html_string = '<html><head>Widget’s Announcement Board<br><br>Announcements:</head><body>{}</body><html>'.format(return_string)

    return HttpResponse(html_string)

def AnnouncementView(request):
    announcements = Announcement.objects.all()
    context = {'announcements': announcements}
    return render(request, 'announcements/announcements.html', context)

class AnnouncementsDetailView(DetailView):
    model = Announcement
    template_name = 'announcements/announcements-details.html'

class AnnouncementsCreateView(CreateView):
    model = Announcement
    fields = '__all__'
    template_name = 'announcements/announcements-add.html'

class AnnouncementsUpdateView(UpdateView):
    model = Announcement
    fields = '__all__'
    template_name = 'announcements/announcements-edit.html'

