from django.contrib import admin
from .models import Course, Assignment
# Register your models here.

class CourseAdmin(admin.ModelAdmin):
    model = Course

    search_fields = ('code', 'title')
    list_display = ('code', 'title', 'section')

class AssignmentAdmin(admin.ModelAdmin):
    model = Assignment

    search_fields = ('name', 'course')
    list_display = ('name', 'description', 'course', 'perfect_score', 'passing_score')

admin.site.register(Course, CourseAdmin)
admin.site.register(Assignment, AssignmentAdmin)