from django.db import models
from django.urls import reverse

# Create your models here.
class Course(models.Model):
    code = models.CharField(max_length=10)
    title = models.CharField(max_length=100)
    section = models.CharField(max_length=3)

    def __str__(self):
        return '{}'.format(self.code)

class Assignment(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    course = models.ForeignKey(
        Course,
        on_delete=models.PROTECT,
    )
    perfect_score = models.IntegerField()

    def get_absolute_url(self):
        return reverse('Assignments:assignment-details', kwargs={'pk': self.pk})
    
    def get_course_details(self):
        return '{} {}-{}'.format(self.course.code, self.course.title, self.course.section)
    
    @property
    def passing_score(self):
        return int(self.perfect_score*0.60)