from django.shortcuts import render
from django.http import HttpResponse
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from .models import Assignment, Course

# Create your views here.
def AssignmentView(request):
    assignments = Assignment.objects.all()
    context = {'assignments': assignments}
    return render(request, 'Assignments/assignments.html', context)

class AssignmentsDetailView(DetailView):
    model = Assignment
    template_name = 'Assignments/assignment-details.html'

class AssignmentsCreateView(CreateView):
    model = Assignment
    fields = '__all__'
    template_name = 'Assignments/assignment-add.html'

class AssignmentsUpdateView(UpdateView):
    model = Assignment
    fields = '__all__'
    template_name = 'Assignments/assignment-edit.html'