from django.db import models
from django.urls import reverse

class Department(models.Model):
    default_string = ""
    dept_name = models.CharField(max_length = 50, default = default_string)
    home_unit = models.CharField(max_length = 50, default = default_string)

    def __str__(self):
        return '{}'.format(self.dept_name)

class WidgetUser(models.Model):
    default_string = ""
    first_name = models.CharField(max_length = 50, default = default_string)
    middle_name = models.CharField(max_length = 50, default = default_string)
    last_name = models.CharField(max_length = 50, default = default_string)
    department = models.ForeignKey(Department, on_delete = models.PROTECT)

    def __str__(self):
        return '{}'.format(self.first_name)

    
    def get_absolute_url(self):
        return reverse('Dashboard:user_details', kwargs={'user_id': self.id})