from django.views.generic.edit import CreateView, UpdateView
from django.http import HttpResponse, Http404
from django.shortcuts import render
from django.views import View
from .models import Department, WidgetUser
from django.views.generic.list import ListView

def dashboard_view(request):
    users = WidgetUser.objects.all()
    context = {
        'users': users
    }
    return render(request, 'Dashboard/dashboard.html', context)

class userdetails_view(View):
    def get(self, request, user_id):
        try:
            user = WidgetUser.objects.get(pk = user_id)
        except WidgetUser.DoesNotExist:
            raise Http404("User Does Not Exist")
        users = WidgetUser.objects.order_by("last_name")   
        for person in users:
            if person.id == user_id:
                user = person
                break
        context = {
            "user": user,
            "user_id": user_id
        }             
        return render(request, 'Dashboard/widgetuser-details.html', context)

class IndexView(ListView):
    queryset = WidgetUser.objects.order_by("last_name")
        
class adduser_view(CreateView):
    model = WidgetUser
    fields = '__all__'
    template_name = 'Dashboard/widgetuser-add.html'

class edituser_view(UpdateView):
    model = WidgetUser
    fields = '__all__'
    template_name = 'Dashboard/widgetuser-edit.html'