from django.db import models
from Dashboard.models import WidgetUser
from django.urls import reverse

class ForumPost(models.Model):
    title = models.CharField(max_length = 100)
    body = models.TextField()
    author = models.ForeignKey(WidgetUser, on_delete=models.PROTECT)
    pub_datetime = models.DateTimeField(auto_now_add=True, null=True)

    def __str__(self):
        return self.title
    
    def get_absolute_url(self):
        return reverse('Forum:forumpost-details', kwargs={'pk':self.pk})
    
    replies = models.ManyToManyField('self', blank=True)

class Reply(models.Model):
    body = models.TextField()
    author = models.ForeignKey(WidgetUser, on_delete=models.PROTECT)
    pub_datetime = models.DateTimeField()
    forum_post = models.ForeignKey(ForumPost, on_delete=models.CASCADE, related_name='post_replies')

    def __str__(self):
        return self.body