from django.http import HttpResponse
from .models import Event
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from django.shortcuts import render

#Date format source: https://ourcodeworld.com/articles/read/555/how-to-format-datetime-objects-in-the-view-and-template-in-django
# def index(request):
#     return_string = ''
#     for events in Event.objects.all():
#         return_string += 'Date and Time: {}<br>Activity: {}<br>Estimated Hours: {}<br>Course/Section: {} {}-{}<br>Mode: {}<br>Venue: {}<br></br>'.format(
#             events.target_datetime.strftime("%x, %I:%M %p"), events.activity, events.estimated_hours, events.course.code, events.course.title, events.course.section, events.location.mode, events.location.venue
#         )
#     html_string = '<html><head>Widget\'s Calendar of Activities<br></br></head><body>{}</body><html>'.format(return_string)
#     return HttpResponse(html_string)

def index(request):
	events = Event.objects.all()
	context = {'events': events}
	return render(request, 'widgetcalendar/calendar.html', context)

class EventDetailView(DetailView):
    model = Event
    template_name = 'widgetcalendar/event-details.html'
    
class EditEventView(UpdateView):
    model = Event
    fields = '__all__'
    template_name = 'widgetcalendar/event-edit.html'
    
class AddEventView(CreateView):
	model = Event
	fields = '__all__'
	template_name = 'widgetcalendar/event-add.html'